import VerifyOTPForm from "@/components/auth/verify-otp-form";
import Image from "next/image";
import React from "react";

export default async function VerifyOTP({
  searchParams,
}: {
  searchParams: Promise<{ phone_number: string }>
}) {
  const phone_number = (await searchParams).phone_number
  return <div className="bg-gray-100 dark:bg-black w-full h-screen flex items-center justify-center font-sans">
    <div className="flex flex-col items-center justify-center w-full h-full ">
      <Image alt="Sar Link Logo" src="/logo.png" width={100} height={100} />
      <div className="mt-4 flex flex-col items-center justify-center">

        <h4 className="font-bold text-xl text-gray-600">SAR Link Portal</h4>
        <p className="text-gray-500">Pay for your devices and track your bills.</p>
      </div>
      <VerifyOTPForm phone_number={phone_number} />
    </div>
  </div>;
}


