import { z } from "zod";
export const signUpFormSchema = z.object({
	name: z.string().min(2, { message: "Name is required." }),
	id_card: z
		.string()
		.min(2, { message: "ID Card is required" })
		.regex(/^[A][0-9]{6}$/, "Please enter a valid ID Card number."),
	atoll_id: z.string().min(2, { message: "Atoll is required." }),
	island_id: z.string().min(2, { message: "Island is required." }),
	house_name: z.string().min(2, { message: "House name is required." }),
	dob: z.coerce.date({ message: "Date of birth is required." }),
	phone_number: z.string().min(7, { message: "Phone number is required." }).regex(/^[79][0-9]{2}[0-9]{4}$/, "Please enter a valid phone number").transform((val) => val.replace(/\D/g, "")),
});
